### Method

# Soup Auth get_realm

#### Declaration [src]

    const char*
    soup_auth_get_realm (
      SoupAuth* auth
    )

#### Description [src]

Returns `auth`‘s realm.

This is an identifier that distinguishes separate authentication spaces on a given server, and may be some string that is meaningful to the user. (Although it is probably not localized.).

Gets property | `Soup.Auth:realm`

#### Return value

Type: `const char*`

The realm name.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.